﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using _120908_DropDownList_After_PostBack.Models;

namespace _120908_DropDownList_After_PostBack.Controllers
{
    public class HomeController : Controller
    {
        // GET: /Home/
        public ActionResult Index()
        {
            AssignRolesModel rolesModel = new AssignRolesModel
            {
                lstAdmins = AdminList(),
                lstUsers = UserList()
            };
            UsersSelectList();
            return View();
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult GetSelectedUserRole(string username)
        {
            AssignRolesModel rolesModel = new AssignRolesModel
            {
                lstAdmins = AdminList(),
                lstUsers = UserList()
            };
            // Re-assigned the ViewBag object.
            UsersSelectList();
            // Do code of your condition.
            TempData["Message"] = username;
            return View("Index", rolesModel);
        }

        public List<SelectListItem> AdminList()
        {
            List<SelectListItem> lstAdmins = new List<SelectListItem>();
            lstAdmins.Add(new SelectListItem { Value = "1", Text = "Admin 1" });
            lstAdmins.Add(new SelectListItem { Value = "2", Text = "Admin 2" });
            lstAdmins.Add(new SelectListItem { Value = "3", Text = "Admin 3" });
            return lstAdmins;
        }

        public List<SelectListItem> UserList()
        {
            List<SelectListItem> lstUsers = new List<SelectListItem>();
            lstUsers.Add(new SelectListItem { Value = "1", Text = "User 1" });
            lstUsers.Add(new SelectListItem { Value = "2", Text = "User 2" });
            lstUsers.Add(new SelectListItem { Value = "3", Text = "User 3" });
            lstUsers.Add(new SelectListItem { Value = "4", Text = "User 4" });
            return lstUsers;
        }

        public void UsersSelectList()
        {
            var usersList = UserList();
            TempData["SelectUsers"] = usersList;
        }
    }
}
